For the complete documentation index, see llms.txt. This page is also available as Markdown.

Customer Balance Inquiry

This request retrieves the account balance based on the provided account number. You will need to pass the customer's accountNumber in the request query, you also provide a request-refrence to the query.

GET /api/account/v1/getaccountbalancebyaccountnumber

This endpoint is valuable for applications requiring real-time account balance data access and is particularly useful for financial systems and account management tools.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer <token>

Request-Reference

{unique-reference}

Query Parameter

Name
Data Type (length)
Required
Description

accountNumber

string (10)

Customer's account number

Sample Request
curl --location -g '{{baseurl}}/api/account/v1/getaccountbalancebyaccountnumber?AccountNumber=1100029938' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
Response : 200
{
  "status": true,
  "message": "string",
  "data": {
    "accountNumber": "string",
    "ledgerBalance": 0,
    "availableBalance": 0,
    "withdrawableBalance": 0,
    "lienAmount": 0
  }
}

Last updated